curl -X PUT "https://api.playground.try.be/shop/visit-types/abc123" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Spa Weekend",
"description": "To be offered to guests staying in December.",
"offerings": [
{
"offering_id": "64a9f3b2c3d8e1f4a5b6c7d8",
"offering_name": "Twilight massage",
"offering_type": "appointment"
}
],
"email_settings": {
"creation_email_message": "Your visit has been created.",
"reminder_emails_enabled": true,
"reminder_emails_message": "This is a reminder for your upcoming visit.",
"reminder_emails_time": "09:00",
"reminder_emails_days_ahead": 2
},
"integration_settings": {
"auto_send_portal_invite_notification": true
},
"rate_codes": [
"RATE100"
]
}'
const response = await fetch('https://api.playground.try.be/shop/visit-types/abc123', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
Accept: 'application/json',
},
body: JSON.stringify({
"name": "Spa Weekend",
"description": "To be offered to guests staying in December.",
"offerings": [
{
"offering_id": "64a9f3b2c3d8e1f4a5b6c7d8",
"offering_name": "Twilight massage",
"offering_type": "appointment"
}
],
"email_settings": {
"creation_email_message": "Your visit has been created.",
"reminder_emails_enabled": true,
"reminder_emails_message": "This is a reminder for your upcoming visit.",
"reminder_emails_time": "09:00",
"reminder_emails_days_ahead": 2
},
"integration_settings": {
"auto_send_portal_invite_notification": true
},
"rate_codes": [
"RATE100"
]
}),
})
if (!response.ok) {
throw new Error(`Trybe API ${response.status}: ${await response.text()}`)
}
const data = await response.json()
import httpx
response = httpx.put(
"https://api.playground.try.be/shop/visit-types/abc123",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
json={
"name": "Spa Weekend",
"description": "To be offered to guests staying in December.",
"offerings": [
{
"offering_id": "64a9f3b2c3d8e1f4a5b6c7d8",
"offering_name": "Twilight massage",
"offering_type": "appointment"
}
],
"email_settings": {
"creation_email_message": "Your visit has been created.",
"reminder_emails_enabled": True,
"reminder_emails_message": "This is a reminder for your upcoming visit.",
"reminder_emails_time": "09:00",
"reminder_emails_days_ahead": 2
},
"integration_settings": {
"auto_send_portal_invite_notification": True
},
"rate_codes": [
"RATE100"
]
},
)
response.raise_for_status()
data = response.json()
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://api.playground.try.be/shop/visit-types/abc123', [
'headers' => [
'Authorization' => 'Bearer YOUR_API_KEY',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'Spa Weekend',
'description' => 'To be offered to guests staying in December.',
'offerings' => [
[
'offering_id' => '64a9f3b2c3d8e1f4a5b6c7d8',
'offering_name' => 'Twilight massage',
'offering_type' => 'appointment'
]
],
'email_settings' => [
'creation_email_message' => 'Your visit has been created.',
'reminder_emails_enabled' => true,
'reminder_emails_message' => 'This is a reminder for your upcoming visit.',
'reminder_emails_time' => '09:00',
'reminder_emails_days_ahead' => 2
],
'integration_settings' => [
'auto_send_portal_invite_notification' => true
],
'rate_codes' => [
'RATE100'
]
],
]);
$data = json_decode($response->getBody(), true);
package main
import (
"bytes"
"encoding/json"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"name": "Spa Weekend",
"description": "To be offered to guests staying in December.",
"offerings": []interface{}{
map[string]interface{}{
"offering_id": "64a9f3b2c3d8e1f4a5b6c7d8",
"offering_name": "Twilight massage",
"offering_type": "appointment",
},
},
"email_settings": map[string]interface{}{
"creation_email_message": "Your visit has been created.",
"reminder_emails_enabled": true,
"reminder_emails_message": "This is a reminder for your upcoming visit.",
"reminder_emails_time": "09:00",
"reminder_emails_days_ahead": 2,
},
"integration_settings": map[string]interface{}{
"auto_send_portal_invite_notification": true,
},
"rate_codes": []interface{}{
"RATE100",
},
})
req, _ := http.NewRequest("PUT", "https://api.playground.try.be/shop/visit-types/abc123", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Accept", "application/json")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
var data map[string]interface{}
json.NewDecoder(resp.Body).Decode(&data)
}